> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.sevalla.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get process

> Get information about the running processes for a specific application.



## OpenAPI

````yaml https://api.sevalla.com/v2/openapi.json get /applications/processes/{id}
openapi: 3.1.0
info:
  title: Sevalla API docs
  version: 1.0.0
servers:
  - url: https://api.sevalla.com/v2
security:
  - bearerAuth: []
paths:
  /applications/processes/{id}:
    get:
      tags:
        - Processes
      summary: Get process
      description: Get information about the running processes for a specific application.
      operationId: getProcessV2
      parameters:
        - schema:
            type: string
            format: uuid
            pattern: >-
              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
            example: fb5e5168-4281-4bec-94c5-0d1584e9e657
          in: path
          name: id
          required: true
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  process:
                    type: object
                    properties:
                      id:
                        type: string
                        format: uuid
                        pattern: >-
                          ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                        description: Unique identifier for the process
                        example: fb5e5168-4281-4bec-94c5-0d1584e9e657
                      type:
                        anyOf:
                          - type: string
                          - type: 'null'
                        description: Process type (web, worker, job, cron)
                        example: web
                      display_name:
                        anyOf:
                          - type: string
                          - type: 'null'
                        description: Display name of the process
                        example: Web Process
                      instance_count:
                        type: integer
                        minimum: -9007199254740991
                        maximum: 9007199254740991
                        description: Number of running instances (deprecated)
                        example: 1
                      scaling_strategy:
                        anyOf:
                          - type: object
                            properties:
                              type:
                                type: string
                              config:
                                type: object
                                propertyNames:
                                  type: string
                                additionalProperties: {}
                            required:
                              - type
                              - config
                            additionalProperties: false
                          - type: 'null'
                        description: Scaling strategy configuration
                      resource_type_name:
                        anyOf:
                          - type: string
                          - type: 'null'
                        description: Resource type name
                        example: standard-1
                      entrypoint:
                        type: string
                        description: Process entrypoint command
                        example: npm start
                      internal_hostname:
                        type: string
                        description: Internal cluster hostname
                        example: my-app-web.my-app.svc.cluster.local
                      internal_port:
                        anyOf:
                          - type: integer
                            minimum: -9007199254740991
                            maximum: 9007199254740991
                          - type: 'null'
                        description: Internal port
                        example: 8080
                    required:
                      - id
                      - type
                      - display_name
                      - instance_count
                      - scaling_strategy
                      - resource_type_name
                      - entrypoint
                      - internal_hostname
                      - internal_port
                    additionalProperties: false
                required:
                  - process
                additionalProperties: false
        '401':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Not found
                  status:
                    type: number
                    example: 404
                  data:
                    type: object
                    properties:
                      code:
                        description: Error tracking code for support reference
                        example: err_12345
                        type: string
                      message:
                        description: Instructions for the user
                        example: The requested resource was not found
                        type: string
                    additionalProperties: false
                required:
                  - message
                  - status
                additionalProperties: false
        '404':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Not found
                  status:
                    type: number
                    example: 404
                  data:
                    type: object
                    properties:
                      code:
                        description: Error tracking code for support reference
                        example: err_12345
                        type: string
                      message:
                        description: Instructions for the user
                        example: The requested resource was not found
                        type: string
                    additionalProperties: false
                required:
                  - message
                  - status
                additionalProperties: false
        '500':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Not found
                  status:
                    type: number
                    example: 404
                  data:
                    type: object
                    properties:
                      code:
                        description: Error tracking code for support reference
                        example: err_12345
                        type: string
                      message:
                        description: Instructions for the user
                        example: The requested resource was not found
                        type: string
                    additionalProperties: false
                required:
                  - message
                  - status
                additionalProperties: false
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        API key authentication. Pass your API key as a Bearer token in the
        Authorization header.

````